import { Logger } from '@nestjs/common';
import { ConfigModuleOptions, EnvHash } from './interfaces';
export declare abstract class AbstractConfigManager {
    options: ConfigModuleOptions;
    protected readonly logger: Logger;
    protected readonly procEnv: EnvHash;
    constructor(options: ConfigModuleOptions);
    protected abstract loadAndValidateEnvFile(): any;
}
