import { AbstractConfigManager } from './abstract.config';
export declare class ConfigManager extends AbstractConfigManager {
    private envConfig;
    private envFilePath;
    private environment;
    private resolveMap;
    protected loadAndValidateEnvFile(): void;
    private processOptions;
    private isValidEnvironment;
    private resolveEnvFilePath;
    private loadEnvFile;
    private cascadeRequiredVars;
    protected provideConfigSpec(environment: any): object;
    private processConfigSpec;
    private processConfigErrors;
    private extractValidationErrorMessages;
    private handleFatalError;
    get<T>(key: string): T;
    trace(): any;
}
