"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class InvalidConfigurationError extends Error {
    constructor(missingKeys, validationErrors) {
        super('Invalid Configuration');
        Object.setPrototypeOf(this, InvalidConfigurationError.prototype);
        this.missingKeys = missingKeys;
        this.validationErrors = validationErrors;
    }
}
exports.InvalidConfigurationError = InvalidConfigurationError;
