"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const constants_1 = require("../constants");
class MissingEnvFileError extends Error {
    constructor(badpath) {
        super(constants_1.NO_ENV_FILE_ERROR);
        Object.setPrototypeOf(this, MissingEnvFileError.prototype);
        this.badpath = badpath;
    }
}
exports.MissingEnvFileError = MissingEnvFileError;
